Issue 120684 - [From Symphony] Animation color is not exported correctly to PPT.
[From Symphony] Animation color is not exported correctly to PPT.
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: viewing
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Andre
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 13:57 UTC by Andre
Modified: 2012-10-18 06:41 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Both smilies should turn red. (13.15 KB, application/vnd.oasis.opendocument.presentation)
2012-08-23 13:57 UTC, Andre
no flags Details
Export red color channel correctly. (594 bytes, patch)
2012-08-23 14:03 UTC, Andre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Andre 2012-08-23 13:57:20 UTC
Created attachment 79100 [details]
Both smilies should turn red.

How to reproduce:
1. Load the attached bugdoc.
2. Save as ppt.
3. Load the new ppt document in OpenOffice or PowerPoint.
4. Start the slideshow.

Both smilies should turn red.  With the bug the color animated smiley turns green instead.

Just for reference: CQ id is Sym2_3737.
Comment 1 Andre 2012-08-23 14:03:24 UTC
Created attachment 79101 [details]
Export red color channel correctly.

The target color of the color animation (color A is blended into color B) is exported with alpha channel where the red channel is expected.
Comment 2 SVN Robot 2012-08-29 14:00:04 UTC
"af" committed SVN revision 1378563 into trunk:
#i120684# Fixed export of red color-channel.
Comment 3 Andre 2012-08-29 14:01:19 UTC
Applied a cleaned up version of the attached patch.

The original Symphony patch was made by Wang Zhe.
Comment 4 liuping 2012-09-18 08:46:20 UTC
verify on AOO3.5_r1386711 on winxp/Win7-64bit/SLED 11 SP1 32 bit/Mac 10.7/Ubuntu 10.04 32 bit ,pass
Comment 5 Shenfeng Liu 2012-10-18 06:41:13 UTC
Update Target Milestone to AOO 3.5.0.